## LassoSoapBindingExtCredentialsContext LassoSoapBindingExtCredentialsContext — <soapbinding:CredentialsContextType> |

## Types and Values

struct | LassoSoapBindingExtCredentialsContext

## Description

Figure 135. Schema fragment for soapbinding:CredentialsContextType

    <xs:complexType name="CredentialsContextType">
      <xs:sequence>
        <xs:element ref="lib:RequestAuthnContext" minOccurs="0"/>
        <xs:element name="SecurityMechID" type="xs: anyURI" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute ref="S:mustUnderstand" use="optional"/>
      <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>
    <xs:element name="CredentialsContext" type="CredentialsContextType"/>

## Functions

## Types and Values

### struct LassoSoapBindingExtCredentialsContext

    struct LassoSoapBindingExtCredentialsContext {
    	LassoNode parent;

    	LassoLibRequestAuthnContext *RequestAuthnContext;
    	gchar *SecurityMechID;

    	gchar *id;
    	gchar *mustUnderstand;
    	gchar *actor;
    };